Bug 487322 - nepomukserver started with Nepomuk turned off
nepomukserver started with Nepomuk turned off
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdebase-runtime (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-25 09:05 EST by Piotr Piotrowski
Modified: 2015-07-13 13:35 EDT (History)
10 users (show)

See Also:
Fixed In Version: 4.2.4-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-02 01:46:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 194219 None None None Never

  None (edit)
Description Piotr Piotrowski 2009-02-25 09:05:30 EST
User-Agent:       Mozilla/5.0 (compatible; Konqueror/4.2; Linux) KHTML/4.2.0 (like Gecko) Fedora/4.2.0-15.fc10

I have turned off Nepomuk using system settings, but nepomukserver process is still started eating up memory. If it is not crucial for it to be running please disable it.

I found that most apps in /usr/share/autostart are started conditionally (X-KDE-autostart-condition). Maybe adding the following line to /usr/share/autostart/nepomukserver.desktop would help:

X-KDE-autostart-condition=nepomukserverrc:Basic Settings:Start Nepomuk:false


Reproducible: Always
Comment 1 Steven M. Parrish 2009-04-27 14:44:29 EDT
Ping?
Comment 2 Steven M. Parrish 2009-05-26 10:00:39 EDT
Is this still an issue with the new releases.  If no response in 30 days will close this as INSUFFICIENT_DATA
Comment 3 Piotr Piotrowski 2009-05-26 14:58:19 EDT
This is still an issue.

File /usr/share/autostart/nepomukserver.desktop unconditionally starts /usr/bin/nepomukserver that eats about 10 MB (RES in top) of my precious RAM, even if I turn off Nepomuk in settings. This is not the only app that wastes RAM in a similar fashion and if you add all the wasted RAM up it might constitute a significant amount.

I can not just uninstall Nepomuk, because all KDE would have to go.
Comment 4 Rex Dieter 2009-05-26 15:11:20 EDT
OK, confirmed, Disabling nepomuk in systemsettings makes it not used is all (it seems).

But, at this time, it is not something we can or are willing to address here.  It needs to happen upstream.
Comment 5 Steven M. Parrish 2009-05-26 15:24:13 EDT
Please report this upstream and add upstream info to this report.  We will monitor upstream for a resolution.
Comment 6 Piotr Piotrowski 2009-05-26 16:12:48 EDT
http://bugs.kde.org/show_bug.cgi?id=194219
Comment 7 Kevin Kofler 2009-05-26 16:55:29 EDT
Thanks, we'll monitor this upstream.
Comment 8 Lukáš Tinkl 2009-06-29 14:19:51 EDT
I *think* I know how to fix this and as it's bugging me as well... let's give it a try :)
Comment 9 Rex Dieter 2009-06-29 14:40:08 EDT
Other than adding
X-KDE-autostart-condition=nepomukserverrc:Basic Settings:Start Nepomuk:true
to /usr/share/autostart/nepomukserver.desktop ?

(I was testing that out successfully this morning).
Comment 10 Lukáš Tinkl 2009-06-29 15:20:26 EDT
Ye right Rex :) I only noticed the hint in the original bugreport while hunting for the reason why strigi does the same; both fixes coming :)
Comment 11 Fedora Update System 2009-06-29 15:58:27 EDT
kdebase-runtime-4.2.4-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kdebase-runtime-4.2.4-2.fc9
Comment 12 Fedora Update System 2009-06-29 15:58:35 EDT
kdebase-runtime-4.2.4-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kdebase-runtime-4.2.4-2.fc11
Comment 13 Fedora Update System 2009-06-29 15:58:36 EDT
kdebase-runtime-4.2.4-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kdebase-runtime-4.2.4-2.fc10
Comment 14 Fedora Update System 2009-07-02 01:46:35 EDT
kdebase-runtime-4.2.4-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-07-02 01:49:41 EDT
kdebase-runtime-4.2.4-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-07-02 01:51:40 EDT
kdebase-runtime-4.2.4-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.